Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.connection
Interface RedisZSetCommands

All Known Subinterfaces:
  RedisCommands, RedisConnection, StringRedisConnection

All Known Implementing Classes:
  DefaultStringRedisConnection, JedisConnection, JredisConnection, LettuceConnection, SrpConnection

    public interface RedisZSetCommands

ZSet(SortedSet)-specific commands supported by Redis.

Nested Class Summary
`static class` | `RedisZSetCommands.Aggregate` Sort aggregation operations.
`static interface` | `RedisZSetCommands.Tuple` ZSet tuple.

Method Summary
`Boolean` | `zAdd(byte[] key, double score, byte[] value)`
`Long` | `zAdd(byte[] key, Set<RedisZSetCommands.Tuple> tuples)`
`Long` | `zCard(byte[] key)`
`Long` | `zCount(byte[] key, double min, double max)`
`Double` | `zIncrBy(byte[] key, double increment, byte[] value)`
`Long` | `zInterStore(byte[] destKey, byte[]... sets)`
`Long` | `zInterStore(byte[] destKey, RedisZSetCommands.Aggregate aggregate, int[] weights, byte[]... sets)`
`Set<byte[]>` | `zRange(byte[] key, long begin, long end)`
`Set<byte[]>` | `zRangeByScore(byte[] key, double min, double max)`
`Set<byte[]>` | `zRangeByScore(byte[] key, double min, double max, long offset, long count)`
`Set<RedisZSetCommands.Tuple>` | `zRangeByScoreWithScores(byte[] key, double min, double max)`
`Set<RedisZSetCommands.Tuple>` | `zRangeByScoreWithScores(byte[] key, double min, double max, long offset, long count)`
`Set<RedisZSetCommands.Tuple>` | `zRangeWithScores(byte[] key, long begin, long end)`
`Long` | `zRank(byte[] key, byte[] value)`
`Long` | `zRem(byte[] key, byte[]... values)`
`Long` | `zRemRange(byte[] key, long begin, long end)`
`Long` | `zRemRangeByScore(byte[] key, double min, double max)`
`Set<byte[]>` | `zRevRange(byte[] key, long begin, long end)`
`Set<byte[]>` | `zRevRangeByScore(byte[] key, double min, double max)`
`Set<byte[]>` | `zRevRangeByScore(byte[] key, double min, double max, long offset, long count)`
`Set<RedisZSetCommands.Tuple>` | `zRevRangeByScoreWithScores(byte[] key, double min, double max)`
`Set<RedisZSetCommands.Tuple>` | `zRevRangeByScoreWithScores(byte[] key, double min, double max, long offset, long count)`
`Set<RedisZSetCommands.Tuple>` | `zRevRangeWithScores(byte[] key, long begin, long end)`
`Long` | `zRevRank(byte[] key, byte[] value)`
`Double` | `zScore(byte[] key, byte[] value)`
`Long` | `zUnionStore(byte[] destKey, byte[]... sets)`
`Long` | `zUnionStore(byte[] destKey, RedisZSetCommands.Aggregate aggregate, int[] weights, byte[]... sets)`

Method Detail

### zAdd

    Boolean zAdd(byte[] key,
                 double score,
                 byte[] value)

### zAdd

    Long zAdd(byte[] key,
              Set<RedisZSetCommands.Tuple> tuples)

### zRem

    Long zRem(byte[] key,
              byte[]... values)

### zIncrBy

    Double zIncrBy(byte[] key,
                   double increment,
                   byte[] value)

### zRank

    Long zRank(byte[] key,
               byte[] value)

### zRevRank

    Long zRevRank(byte[] key,
                  byte[] value)

### zRange

    Set<byte[]> zRange(byte[] key,
                       long begin,
                       long end)

### zRangeWithScores

    Set<RedisZSetCommands.Tuple> zRangeWithScores(byte[] key,
                                                  long begin,
                                                  long end)

### zRangeByScore

    Set<byte[]> zRangeByScore(byte[] key,
                              double min,
                              double max)

### zRangeByScoreWithScores

    Set<RedisZSetCommands.Tuple> zRangeByScoreWithScores(byte[] key,
                                                         double min,
                                                         double max)

### zRangeByScore

    Set<byte[]> zRangeByScore(byte[] key,
                              double min,
                              double max,
                              long offset,
                              long count)

### zRangeByScoreWithScores

    Set<RedisZSetCommands.Tuple> zRangeByScoreWithScores(byte[] key,
                                                         double min,
                                                         double max,
                                                         long offset,
                                                         long count)

### zRevRange

    Set<byte[]> zRevRange(byte[] key,
                          long begin,
                          long end)

### zRevRangeWithScores

    Set<RedisZSetCommands.Tuple> zRevRangeWithScores(byte[] key,
                                                     long begin,
                                                     long end)

### zRevRangeByScore

    Set<byte[]> zRevRangeByScore(byte[] key,
                                 double min,
                                 double max)

### zRevRangeByScoreWithScores

    Set<RedisZSetCommands.Tuple> zRevRangeByScoreWithScores(byte[] key,
                                                            double min,
                                                            double max)

### zRevRangeByScore

    Set<byte[]> zRevRangeByScore(byte[] key,
                                 double min,
                                 double max,
                                 long offset,
                                 long count)

### zRevRangeByScoreWithScores

    Set<RedisZSetCommands.Tuple> zRevRangeByScoreWithScores(byte[] key,
                                                            double min,
                                                            double max,
                                                            long offset,
                                                            long count)

### zCount

    Long zCount(byte[] key,
                double min,
                double max)

### zCard

    Long zCard(byte[] key)

### zScore

    Double zScore(byte[] key,
                  byte[] value)

### zRemRange

    Long zRemRange(byte[] key,
                   long begin,
                   long end)

### zRemRangeByScore

    Long zRemRangeByScore(byte[] key,
                          double min,
                          double max)

### zUnionStore

    Long zUnionStore(byte[] destKey,
                     byte[]... sets)

### zUnionStore

    Long zUnionStore(byte[] destKey,
                     RedisZSetCommands.Aggregate aggregate,
                     int[] weights,
                     byte[]... sets)

### zInterStore

    Long zInterStore(byte[] destKey,
                     byte[]... sets)

### zInterStore

    Long zInterStore(byte[] destKey,
                     RedisZSetCommands.Aggregate aggregate,
                     int[] weights,
                     byte[]... sets)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD